{
    "env": {
        "browser": true,
        "es6": true,
        "jasmine": true
    },
    "extends": "eslint:recommended",
    "globals": {
        "Atomics": "readonly",
        "SharedArrayBuffer": "readonly",
        "flatpickr": "readonly",
        "$": "readonly"
    },
    "parser": "@babel/eslint-parser",
    "parserOptions": {
        "ecmaVersion": 2018,
        "requireConfigFile": false,
        "ecmaFeatures": {
            "legacyDecorators": true
        }
    },
    "rules": {
        "no-console": "off",
        "no-extra-semi": "off",
        "semi": ["error", "always"],
        "comma-dangle": ["error", "always-multiline"],
        "quotes": ["error", "single"],
        "no-var": "error"
    }
}
